Skip to content
中文

POST /bfl/v1/flux-kontext-max

Method: POSTEndpoint: /bfl/v1/flux-kontext-max

Official Documentation: https://docs.bfl.ai/api-reference/tasks/edit-or-create-an-image-with-flux-kontext-pro#body-input-image

Request Parameters

Header Parameters

text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
prompt
string
Required
Example
{
"prompt"
:
"string"
}

Example Request

Shell

bash
curl --location --request POST '/bfl/v1/flux-kontext-max' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "string"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
id
string
Required
polling_url
string
Required

Example

json
{"id":"b9b172a8-e39c-47b2-8f1a-cb8925f3532e","polling_url":"https://api.us1.bfl.ai/v1/get_result?id=b9b172a8-e39c-47b2-8f1a-cb8925f3532e"}